Skip to main content


Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Eclipse Projects » EGit / JGit » Possible to use Egit on legacy code without .project. .cproject
Possible to use Egit on legacy code without .project. .cproject [message #1711386] Thu, 15 October 2015 13:05 Go to next message
Seb Gauthier is currently offline Seb GauthierFriend
Messages: 2
Registered: October 2015
Junior Member
Why do Egit prevent you from importing code from a repository if it doesn't include . project ? Is there a way arounf this constraint ?

I'm trying to import legacy code thar was recently moved from CVS to Git and it wasn't a problem before. Why does Egit lack this flexibility/feature ?

Also, I'll be porting this code to linux as my other colleagues are developping from Windows, I'm now realizing that we don't even have compatible .project/.cproject files, so adding the project files to git are not an option.
Re: Possible to use Egit on legacy code without .project. .cproject [message #1711389 is a reply to message #1711386] Thu, 15 October 2015 13:26 Go to previous messageGo to next message
Matthias Sohn is currently offline Matthias SohnFriend
Messages: 1093
Registered: July 2009
Senior Member
Eclipse platform requires a .project file to import files into the workbench. EGit allows to add repositories which don't contain .project files but you have to create them in order to import them into the Eclipse workbench. This can be done using the following commands:

from (Project, Package, ...) explorer views
- Import... > Git > Projects from Git
- Import... > Git > Projects from Git (with smart import) if you installed the experimental feature "Git Team Provider - experimental auto-import (Incubation)"
from Git repositories view:
- add or clone repository
- then select the repository node and click "Import projects"


Re: Possible to use Egit on legacy code without .project. .cproject [message #1711537 is a reply to message #1711389] Fri, 16 October 2015 19:07 Go to previous messageGo to next message
Seb Gauthier is currently offline Seb GauthierFriend
Messages: 2
Registered: October 2015
Junior Member
Where can I get this Git Team Provider - experimental auto-import (Incubation) ? It's sure worth testing it

Thanks
Re: Possible to use Egit on legacy code without .project. .cproject [message #1713260 is a reply to message #1711537] Mon, 02 November 2015 20:13 Go to previous messageGo to next message
Matthias Sohn is currently offline Matthias SohnFriend
Messages: 1093
Registered: July 2009
Senior Member
You can install it from our update sites:

http://download.eclipse.org/egit/updates (latest release)
http://download.eclipse.org/egit/updates-nightly (latest build from master branch)
Re: Possible to use Egit on legacy code without .project. .cproject [message #1729737 is a reply to message #1713260] Mon, 18 April 2016 15:28 Go to previous messageGo to next message
Gopal Gupta is currently offline Gopal GuptaFriend
Messages: 1
Registered: April 2016
Junior Member
Hi, I am trying to install "Git Team Provider - experimental auto-import (Incubation)" but it is giving me following error :

Cannot complete the install because one or more required items could not be found.
Software being installed: Git Team Provider - experimental auto-import (Incubation) 4.3.0.201604071810-r (org.eclipse.egit.ui.importer 4.3.0.201604071810-r)
Missing requirement: Import framework 0.2.0.v20151123-1229 (org.eclipse.e4.ui.importer 0.2.0.v20151123-1229) requires 'bundle org.eclipse.core.jobs 3.7.0' but it could not be found
Cannot satisfy dependency:
From: Git Team Provider - experimental auto-import (Incubation) 4.3.0.201604071810-r (org.eclipse.egit.ui.importer 4.3.0.201604071810-r)
To: bundle org.eclipse.e4.ui.importer 0.1.0

Please let me know how can I install it. I have already tried the following URLs:
http://download.eclipse.org/egit/updates
http://download.eclipse.org/egit/updatesnightly

Thanks
GG
Re: Possible to use Egit on legacy code without .project. .cproject [message #1729863 is a reply to message #1729737] Tue, 19 April 2016 16:07 Go to previous message
Matthias Sohn is currently offline Matthias SohnFriend
Messages: 1093
Registered: July 2009
Senior Member
looks like your Eclipse version is too old, org.eclipse.core.jobs 3.7.0 comes with Mars
so try with Eclipse 4.5.2
Previous Topic:Does jgit support auto gc?
Next Topic:EGit 4.4 available?
Goto Forum:
  


Current Time: Sun Sep 15 12:01:15 GMT 2019

Powered by FUDForum. Page generated in 0.02434 seconds
.:: Contact :: Home ::.

Powered by: FUDforum 3.0.2.
Copyright ©2001-2010 FUDforum Bulletin Board Software

Back to the top